## iraf 2.17

=== Makefile ===
#
#  Makefile for the IRAF source tree.
#
# ---------------------------------------------------------------------------

# Compiler Flags.

RELEASE		= v2.16
export CFLAGS	= -g -Wall -O2 $(CARCH)
export LDFLAGS	= $(CARCH)
export  iraf     = $(shell pwd)/

all:: sysgen

# Do a full sysgen.
sysgen::
	@echo "Building the IRAF $(RELEASE) software tree"
	@echo "" ; date ; echo ""
	(util/mksysgen)
	@echo "" ; date ; echo ""

# Clean the IRAF tree of all binaries.
src pristine::
	(util/mksrc)

# Clean the IRAF tree of binaries for the currently configured arch.
clean::
	(util/mkclean)

# Make only the NOAO package.
noao::
	(cd noao ; mkpkg -p noao)


# ----------------------------------------------------------------------
# architectures
# ----------------------------------------------------------------------
showarch::
	(mkpkg arch)

macosx macintel macos64 linux linux64 freebsd freebsd64 hurd generic::
	(util/mkarch $@)

=== vendor/Makefile ===
#///////////////////////////////////////////////////////////////////////////////
#//
#//  Makefile for the Vendor Libraries
#//
#///////////////////////////////////////////////////////////////////////////////

# primary dependencies

NAME       	 = vendor
VERSION    	 = 1.0
PLATFORM  	:= $(shell uname -s)
PLMACH  	:= $(shell uname -m)
HERE      	:= $(shell /bin/pwd)
BINDIR    	:= ../bin/
LIBDIR    	:= ../lib/
INCDIR    	:= ../lib/


# includes, flags and libraries
CINCS  	  	= -I$(INCDIR) -I./
LIBS		= -lm -lc -lpthread


all:
	./mklibs

libs:

install:
	(cd cfitsio   ; make install)
	(cd libvotable  ; make install)

clean:
	(cd cfitsio   ; make clean)
	(cd libvotable  ; make clean)


cfitsio:
	(cd cfitsio   ; ./configure --libdir=../../bin ; make ; make install)

libvotable:
	(cd libvotable  ; make World)


###############################################################################
# Leave this stuff alone.
###############################################################################

$(STATICLIB): $(SRCS:%.c=Static/%.o)
	/usr/bin/ar rv $@ $?
Static/%.o: %.c $(INCS)
	/usr/bin/gcc $(CINCS) $(CFLAGS) -c $< -o $@
Static:
	/bin/mkdir $@
	chmod 777 $@

$(SHAREDLIB): $(SRCS:%.c=Shared/%.o)
	/usr/bin/ld -shared -o $@ $? -lc -ldl
Shared/%.o: %.c $(INCS)
	/usr/bin/gcc $(CINCS) $(CFLAGS) -fpic -shared -c $< -o $@
Shared:
	/bin/mkdir $@
	chmod 777 $@

=== vendor/libvotable/Makefile ===
#///////////////////////////////////////////////////////////////////////////////
#//
#//  Makefile for the VOTable Interface
#//
#///////////////////////////////////////////////////////////////////////////////

# primary dependencies

NAME       	 = VOTable
VERSION    	 = 1.1
LIBDIR    	:= ../../bin/
INCDIR    	:= ../../include/


# secondary dependencies

LIBBASE		= lib$(NAME)
STATICLIB 	= $(LIBDIR)/$(LIBBASE).a
SHAREDLIB 	= $(LIBDIR)/$(LIBBASE).so.$(VERSION)


# includes, flags and libraries
CINCS  	  	= -I$(INCDIR)  -I. -I../../include

CFLAGS 		:= $(CFLAGS) $(CINCS) -L./ -DHAVE_CFITSIO
CLIBS		= -lm -lc -lpthread -lcfitsio



# list of source and include files
SRCS 		= votParse.c votParse_f77.c votParse_spp.c \
		  votExpatCB.c votElement.c votAttr.c votStack.c votHandle.c
OBJS 		= votParse.o votParse_f77.o votParse_spp.o \
		  votExpatCB.o votElement.o votAttr.o votStack.o votHandle.o
INCS 		= votParse.h

SPP_SRCS	= votUtil_spp.x
SPP_OBJS	= votUtil_spp.o
SPP_INCS 	= votParse_spp.h

INCS_PRIV	= votParseP.h
LIBS		= lib$(NAME).a


all:	lib apps install

World:	lib apps install

install: lib apps
	cp $(LIBS) $(LIBDIR)
	cp $(INCS) $(SPP_INCS) $(INCDIR)

objs:	$(OBJS) $(SPP_OBJS)

clean:
	/bin/rm -f *.o *.a *.e *.so __*
	/bin/rm -f SWIG* libvot* php_libvot.h
	/bin/rm -f votParseJava.[co]
	/bin/rm -f votParsePerl.[co]
	/bin/rm -f votParsePython.[co]
	/bin/rm -f votParseTcl.[co]
	/bin/rm -f votParsePhp.[co]
	/bin/rm -f votParseCSharp.[co]
	/bin/rm -f votParseRuby.[co]



####################################
#  LIBVOTABLE Apps
####################################

apps:



####################################
#  LIBVOTABLE dependency libraries.
####################################

lib: objs
	ar rv lib$(NAME).a $(OBJS) $(SPP_OBJS)
	rm -f $(OBJS) $(SPP_OBJS)


###############################################################################
#  SPP Utility procedures
###############################################################################

votUtil_spp.o: votUtil_spp.x votParse_spp.h
	(xc -c votUtil_spp.x)


###############################################################################
#  SWIG Wrapper code generation
###############################################################################

wrap_code: tcl_wrap py_wrap perl_wrap java_wrap # php_wrap ruby_wrap mono_wrap


tcl_wrap:  votParse.i
	(swig -tcl    -o votParseTcl.c    votParse.i     )
	make tcl_lib

py_wrap:  votParse.i
	(swig -python -o votParsePython.c votParse.i     )
	make python_lib

perl_wrap:  votParse.i
	(swig -perl   -o votParsePerl.c   votParse.i     )
	make perl_lib

java_wrap:  votParse.i
	(swig -java   -o votParseJava.c   votParse.i     )
	make java_lib

php_wrap:  votParse.i
	(swig -php    -o votParsePhp.c    votParse.i     )
	make php_lib

ruby_wrap:  votParse.i
	(swig -ruby   -o votParseRuby.c   votParse.i     )
	#make ruby_lib

mono_wrap:  votParse.i
	(swig -csharp -o votParseCSharp.c votParse.i     )
	#make mono_lib



##############################################################################
#
#  SWIG Wrapper share library builds -- highly platform dependent!!
#
##############################################################################

wrap_libs: wrap_code tcl_lib python_lib perl_lib java_lib 

tcl_lib:  votParse.i
	$(CC) -fPIC -c $(SRCS) votParseTcl.c
	$(CC) -shared $(OBJS) votParseTcl.o -o lib$(NAME).so
	$(RM) votParse_wrap.*


PY_INCS = -I.   -I/usr/include/python2.2 -I/usr/include/python2.3 \
                -I/usr/include/python2.4 -I/usr/include/python2.5

python_lib:  votParse.i
	$(CC) -w -c $(PY_INCS) $(SRCS) votParsePython.c
	ld -shared $(OBJS) votParsePython.o -o _lib$(NAME).so
	$(RM) votParse_wrap.*

perl_lib:  votParse.i
	gcc -c $(SRCS) votParsePerl.c `perl -MExtUtils::Embed -e ccopts`
	ld -G $(OBJS) -o lib$(NAME).so
	$(RM) votParse_wrap.*


JWRAP_FLAGS 	= -I/usr/java/j2sdk/include/ -I/usr/java/j2sdk/include/linux

java_lib:  votParse.i
	gcc -fpic -c $(WRAP_SRCS) votParseJava.c $(JWRAP_FLAGS)
	gcc -shared $(WRAP_OBJS) votParseJava.o -o lib$(NAME).so
	$(RM) votParse_wrap.*



PHP_INCS = -I. -I/usr/include/php -I/usr/local/include/php \
	   -I/usr/local/php -I/usr/include/php/Zend \
	   -I/usr/local/include/php/Zend

php_lib:   votParse.i
	gcc -fpic -c $(PHP_INCS) $(WRAP_SRCS) votParsePhp.c
	gcc -shared $(WRAP_OBJS) votParsePhp.o -o lib$(NAME).so
	$(RM) votParse_wrap.*





###############################################################################
# Leave this stuff alone.
###############################################################################

$(STATICLIB): $(SRCS:%.c=Static/%.o)
	/usr/bin/ar rv $@ $?
Static/%.o: %.c $(INCS)
	/usr/bin/gcc $(CINCS) $(CFLAGS) -c $< -o $@
Static/%.o: %.x $(SPP_INCS)
	(xc -c $< -o $@)
Static:
	/bin/mkdir $@
	chmod 777 $@

$(SHAREDLIB): $(SRCS:%.c=Shared/%.o)
	/usr/bin/ld -shared -o $@ $? -lc -ldl
Shared/%.o: %.c $(INCS)
	/usr/bin/gcc $(CINCS) $(CFLAGS) -fpic -shared -c $< -o $@
Shared:
	/bin/mkdir $@
	chmod 777 $@

=== unix/boot/spp/rpp/ratlibr/Makefile ===
# Ratfor source for the ratfor library.  A TOOLS compatible ratfor compiler
# is required to compile this.  The original UNIX ratfor compiler may not do
# the job.
RATFOR = ratfor

.r.f:
	${RATFOR} $*.r > $*.f

SRCS=	addset.r addstr.r amatch.r catsub.r clower.r concat.r ctoc.r\
	ctoi.r ctomn.r cupper.r delete.r docant.r dodash.r dsdbiu.r\
	dsdump.r dsfree.r dsget.r dsinit.r enter.r equal.r error.r\
	errsub.r esc.r fcopy.r filset.r fmtdat.r fold.r gctoi.r getc.r\
	getccl.r getpat.r getwrd.r gfnarg.r index.r insub.r\
	itoc.r length.r locate.r lookup.r lower.r makpat.r maksub.r\
	match.r mktabl.r mntoc.r omatch.r outsub.r patsiz.r prompt.r\
	putc.r putdec.r putint.r putstr.r query.r rmtabl.r scopy.r\
	sctabl.r sdrop.r skipbl.r slstr.r stake.r stclos.r stcopy.r\
	stlu.r strcmp.r strim.r termin.r trmout.r type.r upper.r wkday.r

FORT=	addset.f addstr.f amatch.f catsub.f clower.f concat.f ctoc.f\
	ctoi.f ctomn.f cupper.f delete.f docant.f dodash.f dsdbiu.f\
	dsdump.f dsfree.f dsget.f dsinit.f enter.f equal.f error.f\
	errsub.f esc.f fcopy.f filset.f fmtdat.f fold.f gctoi.f getc.f\
	getccl.f getpat.f getwrd.f gfnarg.f index.f insub.f\
	itoc.f length.f locate.f lookup.f lower.f makpat.f maksub.f\
	match.f mktabl.f mntoc.f omatch.f outsub.f patsiz.f prompt.f\
	putc.f putdec.f putint.f putstr.f query.f rmtabl.f scopy.f\
	sctabl.f sdrop.f skipbl.f slstr.f stake.f stclos.f stcopy.f\
	stlu.f strcmp.f strim.f termin.f trmout.f type.f upper.f wkday.f

fort:	$(SRCS) defs
	make fsrc
	mv *.f ../ratlibf
	touch fort

fsrc:	$(FORT)

=== debian/changelog ===
iraf (2.17-4) unstable; urgency=medium

  * Add Education to application categories (Closes: #1026084)
  * Add CC-BY-4.0 license to IRAF logo
  * Avoid using ECHO in generic's token parser
  * Set the 'use_new_imt' setting
  * Push Standards-Version to 4.6.2, no changes needed

 -- Ole Streicher <olebole@debian.org>  Thu, 05 Jan 2023 08:20:57 +0100

iraf (2.17-3) unstable; urgency=medium

  * Push Standards-Version to 4.6.1. No changes needed
  * Switch back to unstable

 -- Ole Streicher <olebole@debian.org>  Fri, 14 Oct 2022 16:08:46 +0200

iraf (2.17-2) experimental; urgency=medium

  * Explicitly set dumb terminal for setup script
  * Add .note.GNU-stack section to zsvjmp.S. Switch to experimental to
    try this on all archs.
  * Replace vfork() with fork()

 -- Ole Streicher <olebole@debian.org>  Wed, 20 Jul 2022 14:20:16 +0200

iraf (2.17-1) unstable; urgency=medium

  * Include yaccpar.x in iraf-dev package
  * New upstream version 2.17
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Tue, 04 Jan 2022 10:28:40 +0100

iraf (2.16.1+2021.06.14-3) unstable; urgency=medium

  * Switch to unstable
  * Push Standards-Version to 4.6.0. No changes needed
  * Add "Rules-Requires-Root: no"
  * Clean up files created by ratfor preprocessing

 -- Ole Streicher <olebole@debian.org>  Sat, 21 Aug 2021 20:41:31 +0200

iraf (2.16.1+2021.06.14-2) experimental; urgency=medium

  * Make kfreebsd arch detection more generic
  * Enable ratfor preprocessing in build. Fix test for RATFOR variable
  * Simplify patch to remove arch dependent file names

 -- Ole Streicher <olebole@debian.org>  Tue, 15 Jun 2021 09:34:53 +0200

iraf (2.16.1+2021.06.14-1) experimental; urgency=medium

  * New upstream version 2.16.1+2021.06.14. Rediff patches

 -- Ole Streicher <olebole@debian.org>  Mon, 14 Jun 2021 16:27:44 +0200

iraf (2.16.1+2018.11.01-6+exp4) experimental; urgency=medium

  * Replace hard-coded host$bin paths by IRAFPATH

 -- Ole Streicher <olebole@debian.org>  Sun, 25 Oct 2020 13:56:36 +0100

iraf (2.16.1+2018.11.01-6+exp3) experimental; urgency=medium

  * Fix #ifdef im header to solve FTBFS on MIPS64

 -- Ole Streicher <olebole@debian.org>  Sun, 02 Aug 2020 13:00:55 +0200

iraf (2.16.1+2018.11.01-6+exp2) experimental; urgency=medium

  * Fix sigsetjmp symbol on riscv64
  * Test using sigsetjmp on alpha

 -- Ole Streicher <olebole@debian.org>  Thu, 30 Jul 2020 15:10:57 +0200

iraf (2.16.1+2018.11.01-6+exp1) experimental; urgency=medium

  * Testing merged zsvjmp

 -- Ole Streicher <olebole@debian.org>  Thu, 30 Jul 2020 08:19:59 +0200

=== debian/control ===
Source: iraf
Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
Uploaders: Ole Streicher <olebole@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               flex,
               libcfitsio-dev,
               libcurl4-openssl-dev,
               libexpat1-dev,
               libncurses-dev,
               libreadline-dev,
               ratfor
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/debian-astro-team/iraf
Vcs-Git: https://salsa.debian.org/debian-astro-team/iraf.git
Homepage: https://iraf-community.github.io
Rules-Requires-Root: no

Package: iraf
Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: iraf-noao,
            saods9 | ximtool,
            xgterm | python3-pyraf | xterm
Suggests: iraf-dev
Description: Image Reduction and Analysis Facility
 IRAF is the "Image Reduction and Analysis Facility". The main
 IRAF distribution includes a good selection of programs for
 general image processing and graphics.
 .
 Other external or layered packages are available for
 applications such as data acquisition or handling data from other
 observatories and wavelength regimes such as the Hubble Space
 Telescope (optical), EUVE (extreme ultra-violet), or ROSAT and
 AXAF (X-ray). These external packages are distributed separately
 from the main IRAF distribution but can be easily installed.
 The IRAF system also the programmable Command Language scripting
 facility.

Package: iraf-dev
Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32
Depends: gcc,
         iraf (= ${binary:Version}),
         libc6-dev,
         libcfitsio-dev,
         libcurl4-gnutls-dev,
         libexpat1-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: iraf-noao-dev
Description: Image Reduction and Analysis Facility (development files)
 IRAF is the "Image Reduction and Analysis Facility". The main
 IRAF distribution includes a good selection of programs for
 general image processing and graphics, plus a large number of
 programs for the reduction and analysis of optical and IR
 astronomy data.
 .
 This package contains the IMFORT Fortran/C programming interface, and
 the full SPP/VOS programming environment in which the portable IRAF
 system and all applications are written.

Package: iraf-noao
Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32
Multi-Arch: foreign
Depends: iraf (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: IRAF NOAO data reduction package
 IRAF is the "Image Reduction and Analysis Facility". The main
 IRAF distribution includes a good selection of programs for
 general image processing and graphics, plus a large number of
 programs for the reduction and analysis of optical and IR
 astronomy data.
 .
 This file contains the NOAO packages for the reduction and analysis
 of Optical Astronomy data.

Package: iraf-noao-dev
Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32
Depends: iraf-dev (= ${binary:Version}),
         iraf-noao (= ${binary:Version}),
         ${misc:Depends}
Description: IRAF NOAO data reduction package (development files)
 IRAF is the "Image Reduction and Analysis Facility". The main
 IRAF distribution includes a good selection of programs for
 general image processing and graphics, plus a large number of
 programs for the reduction and analysis of optical and IR
 astronomy data.
 .
 This package contains additional libraries and headers used for
 compiling packages that extend the functionality of the iraf-noao
 package.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

export iraf=$(CURDIR)/
export host=$(iraf)unix/
BUILD_TMP=$(CURDIR)/irafbuild
export HOME=$(BUILD_TMP)
export IRAFARCH=$(shell ./unix/hlib/irafarch.sh)
export PATH:=$(BUILD_TMP)/bin:$(PATH)
export RATFOR=ratfor

override_dh_auto_configure:
	mkdir -p $(BUILD_TMP) $(BUILD_TMP)/bin
	sed "s/__VERSION__/$(DEB_VERSION)/" -i unix/hlib/zzsetenv.def
	sed "s/__DATE__/$(shell date -uRd @$(SOURCE_DATE_EPOCH))/" -i unix/hlib/zzsetenv.def
	TERM=dumb ./install --term xterm \
                  --bindir $(BUILD_TMP)/bin \
	          --cache $(BUILD_TMP)/cache \
                  --imdir $(BUILD_TMP)/imdir < /dev/null || true
	cp unix/f2c/libf2c/f2c.h include/
	./util/mkarch $(IRAFARCH)

override_dh_auto_build:
	bin=$(iraf)bin/ noaobin=$(iraf)/noao/bin/ $(MAKE) sysgen
	bin=$(iraf)bin/ noaobin=$(iraf)/noao/bin/ bin/cl.e -f debian/precompile.cl

override_dh_auto_install:
	for f in $(shell find . -name \*.hlp \
            -o -name \*.hd \
            -o -name \*.men \
            -o -name \*.cl \
            -o -name \*.par \
            -o -name \*.key \
            -o -name \*.def \
            -o -name \*.dat \
            -o -name \*.gui \
            -o -name \*.pkg \
            -o -name \*.mip \
            -o -name \*.fits \
	    -o -path ./dev/\* | \
	    fgrep -v ./.pc/ | \
	    fgrep -v ./doc/ | \
	    fgrep -v ./debian/ | \
	    cut -c3-) \
	    unix/hlib/motd* \
	    unix/boot/xyacc/yaccpar.x \
	    lib/syserrmsg lib/syshelpdir lib/scr/help.html ; do \
	  install -p -D -m 644 $$f debian/tmp/usr/lib/iraf/$$f ; \
	done
	mkdir -p debian/tmp/usr/lib/iraf/extern/
	> debian/tmp/usr/lib/iraf/extern/.zzsetenv.def
	mkdir -p debian/tmp/etc/iraf
	mv debian/tmp/usr/lib/iraf/unix/hlib/login.cl debian/tmp/etc/iraf/
	mv debian/tmp/usr/lib/iraf/unix/hlib/motd.etc debian/tmp/etc/iraf/motd
	mv debian/tmp/usr/lib/iraf/unix/hlib/extern.pkg debian/tmp/etc/iraf/
	mv debian/tmp/usr/lib/iraf/dev/irafhosts debian/tmp/etc/iraf/
	rm -f debian/tmp/usr/lib/iraf/dev/hosts debian/tmp/usr/lib/iraf/dev/uhosts
	rm -rf debian/tmp/usr/lib/iraf/unix/f2c
	echo '# HOSTS -- IRAF local network host table.' > debian/tmp/etc/iraf/hosts
	for f in unix/hlib/util.sh \
	         unix/hlib/mkiraf.sh unix/hlib/mkmlist.sh \
	         unix/hlib/irafarch.sh ; do \
	  install -p -D -m 755 $$f debian/tmp/usr/lib/iraf/$$f ; \
	done

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	PATH=$(BUILD_TMP)/.iraf/bin:$(PATH) tmp=/tmp/ ./test/run_tests
endif

override_dh_clean:
	make clean
	dh_clean
	rm -rf $(BUILD_TMP)

## iraf 2.17.1

=== Makefile ===
#
#  Makefile for the IRAF source tree.
#
# ---------------------------------------------------------------------------

# IRAF specific variables
export iraf = $(shell pwd)/

# If IRAFARCH is not set, automatically determine it.
# If it set, but empty, build IRAF without arch specific
# directory names.
export IRAFARCH	?= $(shell unix/hlib/irafarch.sh -current)
ifeq ($(IRAFARCH),)
unexport IRAFARCH
else
export arch = .$(IRAFARCH)
endif

# Default IRAF directory structure
export hostid = unix
export host = $(iraf)$(hostid)/
export hlib = $(host)hlib/
export hbin = $(host)bin$(arch)/
export bin = $(iraf)bin$(arch)/
export noao = $(iraf)noao/
export tmp = /tmp/

# Compiler and other build tools. While the C compiler can be chosen,
# the F77 compiler is fixed to the F2C one provided by IRAF.
export CC ?= cc
export F77 = $(hlib)f77.sh
export FC = $(F77)
export F2C = $(hbin)f2c.e
export MKPKG = $(hbin)mkpkg.e
export XC = $(hbin)xc.e
export RANLIB = ranlib

# General compiler flags. Compiler flags specific to the build of the
# host tools and software are in unix/Makefile.
export CFLAGS ?= -g -O2
export XC_CFLAGS = $(CPPFLAGS) $(CFLAGS)

.PHONY: all sysgen clean test arch noao host novos core vendor bindirs bin_links config inplace starttime

all:: sysgen

# Do a full sysgen, which consists on the host binaries, the core
# system, and the NOAO package.
sysgen: starttime host core noao
	@echo "============== IRAF build was successful! ==============="
	@echo
	@echo "Start: $(shell date -r .build_started)"
	@echo "End:   $(shell date)"
	@echo
	@echo "You may now run \"make test\" for a quick test of the build"
	@rm -f .build_started

# Just create a file on sysgen start so that its creation time can be used
starttime:
	touch .build_started

# Bootstrap first stage: build xc, mkpkg etc. without the Virtual
# Operating System (VOS)
novos: arch bindirs
	$(MAKE) -C $(host) NOVOS=yes bindir=$(hbin) install
	$(MAKE) -C $(host) clean

# Build the libraries containing the Virtual Operating System, and
# re-build the build tools (xc, mkpkg, ...) with VOS
host: novos
	$(MKPKG) syslibs
	$(MAKE) -C $(host) bindir=$(hbin) boot/install
	$(MAKE) -C $(host) clean

# Build vendor libs (cfitsio and libvotable)
vendor: host
	$(MAKE) -C $(iraf)vendor \
	    includedir=$(iraf)include/ bindir=$(bin) install
	$(MAKE) -C $(iraf)vendor clean

# Build the core system.
core: host vendor
	$(MKPKG)

# Build the NOAO package.
noao: host vendor core
	cd $(noao) && $(MKPKG) -p noao

# Run the test suite.
test:
	./test/run_tests

# Remove all binaries built. This keeps .x files that were generated
# by generic, xyacc and similar.
clean:
	$(MAKE) -C unix clean
	$(MAKE) -C vendor clean
	find ./local ./math ./pkg ./sys ./noao/[adfimnorst]* \
	     -type f -name \*.\[aeo\] -exec rm -f {} \;
	rm -f $(bin)/* noao/bin$(arch)/* $(hbin)* .build_started \
	      include/drvrsmem.h include/fitsio.h include/fitsio2.h \
	      include/longnam.h include/votParse.h include/votParse_spp.h

# Prepare the source tree for the architecture specifics
arch:
	if [ "$(shell $(hlib)irafarch.sh -nbits)" = 64 ] ; then \
	    ln -sf iraf64.h $(hlib)iraf.h && \
	    ln -sf mach64.h $(hlib)mach.h ; \
	else \
	    ln -sf iraf32.h $(hlib)iraf.h && \
	    ln -sf mach32.h $(hlib)mach.h ; \
	fi
	if [ "$(shell $(hlib)irafarch.sh -endian)" = big ] ; then \
	    ln -sf swapbe.h $(hlib)swap.h ; \
	else \
	    ln -sf swaple.h $(hlib)swap.h ; \
	fi

# Create bindirs for current architecture
bindirs:
	if [ bin$(arch) != bin ] ; then \
	    mkdir -p bin$(arch) noao/bin$(arch) unix/bin$(arch) && \
	    rm -rf bin unix/bin noao/bin && \
	    ln -s bin$(arch) bin && \
	    ln -s bin$(arch) noao/bin && \
	    ln -s bin$(arch) unix/bin ; \
	else \
	    if [ -L bin ] ; then rm -f bin unix/bin noao/bin ; fi && \
	    mkdir -p bin noao/bin unix/bin ; \
	fi

# Patch the "iraf" environment variable into shell scripts
# The "grep -q" calls are to make sure that the file was edited
config:
	sed -E -i.orig \
	    s+'^([[:space:]]*d_iraf=).*+\1"$(iraf)"'+ \
	    $(DESTDIR)$(hlib)ecl.sh \
	    $(DESTDIR)$(hlib)setup.sh \
            $(DESTDIR)$(hlib)mkiraf.sh
	grep '"$(iraf)"' $(DESTDIR)$(hlib)ecl.sh
	grep '"$(iraf)"' $(DESTDIR)$(hlib)setup.sh
	grep '"$(iraf)"' $(DESTDIR)$(hlib)mkiraf.sh
	sed -E -i.orig \
	    s+'^([[:space:]]*set[[:space:]]*d_iraf[[:space:]]*=[[:space:]]*).*+\1"$(iraf)"'+ \
	    $(DESTDIR)$(hlib)setup.csh
	grep '"$(iraf)"' $(DESTDIR)$(hlib)setup.csh

bindir = $(HOME)/.iraf/bin

# Create symbolic links for user callable scripts and executables
binary_links:
	mkdir -p $(DESTDIR)$(bindir)
	ln -sf $(hlib)ecl.sh $(DESTDIR)$(bindir)/cl
	ln -sf $(hlib)ecl.sh $(DESTDIR)$(bindir)/ecl
	ln -sf $(hlib)mkiraf.sh $(DESTDIR)$(bindir)/mkiraf
	for hprog in mkpkg rmbin rmfiles rtar sgidispatch wtar xc xyacc ; do \
	    ln -sf $(hbin)$${hprog}.e $(DESTDIR)$(bindir)/$${hprog} ; \
	done

# Do a default in-place (user) installation
inplace: config binary_links
	$(hlib)mkiraf.sh --default --init
	ln -sf $(hlib)libc/iraf.h $(hlib)/setup.*sh $(HOME)/.iraf/
	echo $(iraf) > $(HOME)/.iraf/irafroot
	if [ "$(IRAFARCH)" ] ; then \
	  echo "$(IRAFARCH)" > $(HOME)/.iraf/arch ; \
	else \
	  rm -f $(HOME)/.iraf/arch ; \
	fi

# Strip unneeded files from the installation.
#
# *Warning*: Calling this directly will remove all source files from
#            your source directory.
strip: noao/bin/x_quad.e
	cd $(DESTDIR)$(iraf) && $(hostid)/bin/rmfiles.e -f $(hostid)/hlib/strip.iraf

prefix ?= /usr/local

install: noao/bin/x_quad.e
	mkdir -p $(DESTDIR)$(prefix)/lib/iraf $(DESTDIR)$(prefix)/bin $(DESTDIR)$(prefix)/share/man/man1 $(DESTDIR)/etc/iraf
	cp -a -f bin* dev extern include lib local math mkpkg noao pkg sys test unix \
	         $(prefix)/lib/iraf
	$(MAKE) config binary_links strip iraf=$(prefix)/lib/iraf/ bindir=$(prefix)/bin
	cp -f $(hlib)mkiraf.man $(DESTDIR)$(prefix)/share/man/man1/mkiraf.1
	cp -f $(hlib)ecl.man $(DESTDIR)$(prefix)/share/man/man1/ecl.1
	ln -sf ecl.1 $(DESTDIR)$(prefix)/share/man/man1/cl.1
	cp -f $(host)boot/mkpkg/mkpkg.man $(DESTDIR)$(prefix)/share/man/man1/mkpkg.1
	cp -f $(host)boot/spp/xc.man $(DESTDIR)$(prefix)/share/man/man1/xc.1
	cp -f $(host)boot/xyacc/xyacc.man $(DESTDIR)$(prefix)/share/man/man1/xyacc.1
	cp -f $(host)boot/generic/generic.man $(DESTDIR)$(prefix)/share/man/man1/generic.1
	echo $(prefix)/lib/iraf/ > $(DESTDIR)/etc/iraf/irafroot

=== unix/Makefile ===
export HSI_CF = $(XC_CFLAGS) -I$(hlib)libc -D_GNU_SOURCE
export HSI_XF = -x -Inolibc -/Wall -/O2
export HSI_FF = -g -DBLD_KERNEL -O2
export HSI_LF = $(LDFLAGS)
export HSI_F77LIBS =
export HSI_LFLAGS =

ifdef NOVOS
export HSI_LIBS := ${hlib}libboot.a ${hlib}libos.a -lm
export HSI_CF += -DNOVOS
else
export HSI_LIBS := $(hlib)libboot.a $(iraf)lib/libsys.a $(iraf)lib/libvops.a $(hlib)libos.a $(hbin)libf2c.a -lm
endif

export CFLAGS := $(HSI_CF)
export ASFLAGS := $(CFLAGS) # for zsvjmp.S
export FFLAGS := $(HSI_FF)
export FLIBS := $(HSI_F77LIBS)
export LDFLAGS := $(HSI_LF)
export LIBS = $(HSI_LIBS)

export bindir ?= $(hbin)

%:
	$(MAKE) -C os $@
	$(MAKE) -C f2c $@
	$(MAKE) -C boot $@
	$(MAKE) -C gdev $@

boot/install:
	$(MAKE) -C boot install

.PHONY: boot/install

=== vendor/Makefile ===
export bindir ?= $(bin)
export includedir ?= $(iraf)include/

all: cfitsio libvotable

install: all
	$(MAKE) -C cfitsio install
	rm -rf $(bindir)pkgconfig/
	rmdir $(bindir)pkgconfig || true
	$(MAKE) -C libvotable install

clean:
	$(MAKE) -C cfitsio distclean || true
	$(MAKE) -C libvotable clean

cfitsio:
	cd cfitsio && \
	./configure --includedir=$(includedir) \
	            --bindir=$(bindir) --libdir=$(bindir) \
	            FC=none
	$(MAKE) -C cfitsio libcfitsio.a

libvotable:
	$(MAKE) -C libvotable libVOTable.a

.PHONY: cfitsio libvotable clean all install

=== unix/f2c/Makefile ===
install: src/f2c libf2c/libf2c.a
	cp libf2c/libf2c.a $(bindir)
	cp src/f2c $(bindir)f2c.e

clean:
	$(MAKE) -C src -f makefile.u $@
	$(MAKE) -C libf2c -f makefile.u $@

src/f2c:
	$(MAKE) -C src -f makefile.u f2c

libf2c/libf2c.a:
	$(MAKE) -C libf2c -f makefile.u f2c.h libf2c.a

=== unix/os/Makefile ===
OBJS := zalloc.o zfdele.o zfiond.o zfmkcp.o zfrnam.o zglobl.o		\
    zlocva.o zpanic.o zzdbg.o dio.o zawset.o zfgcwd.o zfiopl.o		\
    zfmkdr.o zfsubd.o zgmtco.o zraloc.o zzepro.o getproc.o zcall.o	\
    zfinfo.o zfiopr.o zfnbrk.o zfunc.o zgtenv.o zmaloc.o zzexit.o	\
    gmttolst.o zdojmp.o zfiobf.o zfiosf.o zfpath.o zfutim.o zgtime.o	\
    zmfree.o zsvjmp.o zzpstr.o irafpath.o zfacss.o zfioks.o zfiotx.o	\
    zfpoll.o zfxdir.o zgtpid.o zopdir.o zttyio.o zzsetk.o prwait.o	\
    zfaloc.o zfiolp.o zfioty.o zfprot.o zgcmdl.o zintpr.o zopdpr.o	\
    zwmsec.o zzstrt.o zfchdr.o zfiomt.o zflink.o zfrmdr.o zghost.o	\
    zlocpr.o zoscmd.o zxwhen.o

libos.a: $(OBJS)
	ar r $@ $?

alloc.e: alloc.o getproc.o
	$(CC) $(LDFLAGS) -o $@ alloc.o getproc.o

install: libos.a alloc.e
	cp -p $? $(bindir)

clean:
	rm -f $(OBJS) alloc.[eo] libos.a

=== vendor/libvotable/Makefile ===
CFLAGS = $(XC_CFLAGS) -DHAVE_CFITSIO -I../cfitsio

OBJS = votParse.o votParse_f77.o votParse_spp.o votExpatCB.o	\
    votElement.o votAttr.o votStack.o votHandle.o votUtil_spp.o

INCS = votParse.h votParse_spp.h

%.o: %.x
	$(XC) -c $? -o $@

libVOTable.a: $(OBJS) 
	ar r $@ $?

install: libVOTable.a
	cp libVOTable.a $(bindir)
	cp $(INCS) $(includedir)

clean:
	rm -f $(OBJS) libVOTable.a

=== unix/boot/spp/rpp/Makefile ===
OBJS := rpp.o rppfor/librpp.a ratlibf/libf.a ratlibc/libc.a

rpp.e: $(OBJS)
	$(CC) $(LDFLAGS) $? $(FLIBS) -o $@

install: rpp.e
	cp $? $(bindir)

rppfor/librpp.a: rppfor
	$(MAKE) -C rppfor librpp.a

ratlibf/libf.a: ratlibf
	$(MAKE) -C ratlibf libf.a

ratlibc/libc.a:
	$(MAKE) -C ratlibc libc.a

clean:
	rm -f $(OBJS) rpp.e
	$(MAKE) -C rppfor $@
	$(MAKE) -C ratlibf $@
	$(MAKE) -C ratlibc $@

# If the RATFOR environment variable is defined (and points to the
# ratfor preprocessor), regenerate the Fortran files from the Ratfor
# sources.

rppfor:
	if [ "$(RATFOR)" ] ; then \
	  rm -f rppfor/*.f rppfor/fort ; \
	  $(MAKE) -C rpprat RATFOR=${RATFOR} ; \
	fi

ratlibf:
	if [ "$(RATFOR)" ] ; then \
	  rm -f ratlibf/*.f ratlibf/fort ; \
	  $(MAKE) -C ratlibr RATFOR=${RATFOR} ; \
	fi

.PHONY: install clean rppfor ratlibf

=== debian/changelog ===
iraf (2.17.1-5build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 18:31:59 +0000

iraf (2.17.1-5build2) noble; urgency=medium

  * No-change rebuild against libcurl4t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:26:34 +0000

iraf (2.17.1-5build1) noble; urgency=medium

  * No-change rebuild for readline time64 change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 02:56:19 +0100

iraf (2.17.1-5) unstable; urgency=medium

  * Install IRAF desktop file (Closes: #1063334)
  * Fix SOURCE_DATE_EPOCH patch for helpdb creation
  * Enable debugging symbols during make

 -- Ole Streicher <olebole@debian.org>  Tue, 06 Feb 2024 22:49:38 +0100

iraf (2.17.1-4) unstable; urgency=medium

  * Honor SOURCE_DATE_EPOCH to improve reproducibility
  * Add support for LoongArch. (Closes: #1061373)

 -- Ole Streicher <olebole@debian.org>  Fri, 26 Jan 2024 08:26:55 +0100

iraf (2.17.1-3) unstable; urgency=medium

  * Apply C tweaks from Debians libf2c2 package to finally fix FTBFS

 -- Ole Streicher <olebole@debian.org>  Fri, 28 Jul 2023 22:45:04 +0200

iraf (2.17.1-2) unstable; urgency=medium

  * Fix FTBFS on Debian/mipsel

 -- Ole Streicher <olebole@debian.org>  Fri, 28 Jul 2023 19:13:19 +0200

iraf (2.17.1-1) unstable; urgency=medium

  * New upstream version 2.17.1
  * Rediff patches. Drop patches applied upstream
  * New build dependencies bison, libz-dev
  * Update and simplicy d/rules
  * Update .install files
  * Remove local manpages: installed upstream
  * Put configuration files to /etc/iraf
  * Fix removal of ratfor generated files
  * Create bindir and includedir on libvotable install
  * fix DESTDIR in Makefile
  * Strip more unneded files with make strip
  * Install sgidispatch manpage
  * correctly set IRAF env varin autopkgtest
  * Copy f2c.h to common include dir

 -- Ole Streicher <olebole@debian.org>  Fri, 28 Jul 2023 10:50:22 +0200

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: iraf
-Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
+	       bison,
                flex,
                libcfitsio-dev,
                libcurl4-openssl-dev,
                libexpat1-dev,
                libncurses-dev,
                libreadline-dev,
-               ratfor
+               ratfor,
+               zlib1g-dev
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/iraf
 Vcs-Git: https://salsa.debian.org/debian-astro-team/iraf.git
@@ -19,7 +22,7 @@
 Rules-Requires-Root: no
 
 Package: iraf
-Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32
+Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32 loong64
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends}
@@ -42,13 +45,14 @@
  facility.
 
 Package: iraf-dev
-Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32
+Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32 loong64
 Depends: gcc,
          iraf (= ${binary:Version}),
          libc6-dev,
          libcfitsio-dev,
          libcurl4-gnutls-dev,
          libexpat1-dev,
+         zlib1g-dev,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: iraf-noao-dev
@@ -64,7 +68,7 @@
  system and all applications are written.
 
 Package: iraf-noao
-Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32
+Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32 loong64
 Multi-Arch: foreign
 Depends: iraf (= ${binary:Version}),
          ${misc:Depends},
@@ -80,7 +84,7 @@
  of Optical Astronomy data.
 
 Package: iraf-noao-dev
-Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32
+Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32 loong64
 Depends: iraf-dev (= ${binary:Version}),
          iraf-noao (= ${binary:Version}),
          ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

export IRAFARCH=
export RATFOR=ratfor

override_dh_auto_build:
	dh_auto_build
	iraf=$(CURDIR)/ bin/cl.e -f debian/precompile.cl

override_dh_auto_install:
	prefix=/usr dh_auto_install

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	tmp=/tmp/ ./test/run_tests
endif

override_dh_clean:
	make clean
	dh_clean

## iraf 2.18

=== debian/changelog ===
iraf (2.18-1) unstable; urgency=medium

  * New upstream version 2.18
  * Rediff patches. Remove patches applied upstream.
  * Use upstream provided irafcl
  * Add test files to not-installed

 -- Ole Streicher <olebole@debian.org>  Sun, 07 Apr 2024 09:40:28 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: iraf
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Astro Team <debian-astro-maintainers@lists.alioth.debian.org>
 Uploaders: Ole Streicher <olebole@debian.org>
 Section: science
 Priority: optional

## iraf 2.18.1~rc1

=== debian/changelog ===
iraf (2.18.1~rc1-3~5) experimental; urgency=medium

  * Fix hppa zsvjmp code
  * Force test execution independent of DEB_BUILD_OPTIONS

 -- Ole Streicher <olebole@debian.org>  Fri, 20 Sep 2024 09:48:46 +0200

iraf (2.18.1~rc1-3~4) experimental; urgency=medium

  * More fixes for m68k, ppc, hppa

 -- Ole Streicher <olebole@debian.org>  Thu, 19 Sep 2024 10:42:03 +0200

iraf (2.18.1~rc1-3~3) experimental; urgency=medium

  * Try to fix assembler for powerpc, m68k, hppa
  * Fix i32to64 and i64to32

 -- Ole Streicher <olebole@debian.org>  Wed, 18 Sep 2024 23:06:34 +0200

iraf (2.18.1~rc1-3~2) experimental; urgency=medium

  * zsvjmp.S: Don't stick to abiversion 2 for ppc64
  * Add 32-bit big-endian powerpc,m68k and hppa architectures

 -- Ole Streicher <olebole@debian.org>  Wed, 18 Sep 2024 17:44:48 +0200

iraf (2.18.1~rc1-3~1) experimental; urgency=medium

  * Testwise enable all architectures
  * Switch to experimental for that test

 -- Ole Streicher <olebole@debian.org>  Wed, 18 Sep 2024 12:12:43 +0200

iraf (2.18.1~rc1-2) unstable; urgency=medium

  * Use time_t in bootlib to fix FTBFS on armel/armhf

 -- Ole Streicher <olebole@debian.org>  Mon, 19 Aug 2024 16:11:35 +0200

iraf (2.18.1~rc1-1) unstable; urgency=medium

  * Remove unneeded build dependencies
  * Accept prereleases in d/watch
  * New upstream version 2.18.1~rc1. Closes: #1075093
  * Push Standards-Version to 4.7.0. No changes needed
  * Fix type of jumpcon in (e)cl/main.c

 -- Ole Streicher <olebole@debian.org>  Sun, 18 Aug 2024 21:18:35 +0200

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,20 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-exec,
-	       bison,
+               bison,
                flex,
-               libcfitsio-dev,
-               libcurl4-openssl-dev,
-               libexpat1-dev,
                libncurses-dev,
                libreadline-dev,
                ratfor,
                zlib1g-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/iraf
 Vcs-Git: https://salsa.debian.org/debian-astro-team/iraf.git
 Homepage: https://iraf-community.github.io
 Rules-Requires-Root: no
 
 Package: iraf
-Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32 loong64
+Architecture: any
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends}
@@ -44,13 +41,10 @@
  facility.
 
 Package: iraf-dev
-Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32 loong64
+Architecture: any
 Depends: gcc,
          iraf (= ${binary:Version}),
          libc6-dev,
-         libcfitsio-dev,
-         libcurl4-gnutls-dev,
-         libexpat1-dev,
          zlib1g-dev,
          ${misc:Depends},
          ${shlibs:Depends}
@@ -67,7 +61,7 @@
  system and all applications are written.
 
 Package: iraf-noao
-Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32 loong64
+Architecture: any
 Multi-Arch: foreign
 Depends: iraf (= ${binary:Version}),
          ${misc:Depends},
@@ -83,7 +77,7 @@
  of Optical Astronomy data.
 
 Package: iraf-noao-dev
-Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32 loong64
+Architecture: any
 Depends: iraf-dev (= ${binary:Version}),
          iraf-noao (= ${binary:Version}),
          ${misc:Depends}

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

export IRAFARCH=
export RATFOR=ratfor

override_dh_auto_build:
	dh_auto_build
	iraf=$(CURDIR)/ bin/cl.e -f debian/precompile.cl || true
	tmp=/tmp/ ./test/run_tests

override_dh_auto_install:
	prefix=/usr dh_auto_install

override_dh_clean:
	make clean
	dh_clean

## iraf 2.18.1~rc2

=== debian/changelog ===
iraf (2.18.1~rc2-1) unstable; urgency=medium

  * New upstream version 2.18.1~rc2
  * Drop Use-time_t-in-bootlib.patch: applied upstream
  * Push Standards-Version to 4.7.2, no changes needed
  * Fix d/u/metadata tag name DOI

 -- Ole Streicher <olebole@debian.org>  Mon, 31 Mar 2025 20:55:42 +0200

## iraf 2.18.1

=== Makefile ===
--- 
+++ 
@@ -39,8 +39,9 @@
 # host tools and software are in unix/Makefile.
 export CFLAGS ?= -g -O2
 export XC_CFLAGS = $(CPPFLAGS) $(CFLAGS)
+export XC_LFLAGS = $(LDFLAGS)
 
-.PHONY: all sysgen clean test arch noao host novos core vendor bindirs bin_links config inplace starttime
+.PHONY: all sysgen clean test arch noao host novos core bindirs bin_links config inplace starttime
 
 all:: sysgen
 
@@ -72,29 +73,23 @@
 	$(MAKE) -C $(host) bindir=$(hbin) boot/install
 	$(MAKE) -C $(host) clean
 
-# Build vendor libs (cfitsio and libvotable)
-vendor: host
-	$(MAKE) -C $(iraf)vendor \
-	    includedir=$(iraf)include/ bindir=$(bin) install
-	$(MAKE) -C $(iraf)vendor clean
-
 # Build the core system.
-core: host vendor
+core: host
 	$(MKPKG)
 
 # Build the NOAO package.
-noao: host vendor core
+noao: host core
 	cd $(noao) && $(MKPKG) -p noao
 
 # Run the test suite.
 test:
 	./test/run_tests
+	./test/run_tests -c cl.e test/cl.md
 
 # Remove all binaries built. This keeps .x files that were generated
 # by generic, xyacc and similar.
 clean:
 	$(MAKE) -C unix clean
-	$(MAKE) -C vendor clean
 	find ./local ./math ./pkg ./sys ./noao/[adfimnorst]* \
 	     -type f -name \*.\[aeo\] -exec rm -f {} \;
 	rm -f $(bin)/* noao/bin$(arch)/* $(hbin)* .build_started \
@@ -134,10 +129,10 @@
 config:
 	sed -E -i.orig \
 	    s+'^([[:space:]]*d_iraf=).*+\1"$(iraf)"'+ \
-	    $(DESTDIR)$(hlib)ecl.sh \
+	    $(DESTDIR)$(hlib)irafcl.sh \
 	    $(DESTDIR)$(hlib)setup.sh \
             $(DESTDIR)$(hlib)mkiraf.sh
-	grep '"$(iraf)"' $(DESTDIR)$(hlib)ecl.sh
+	grep '"$(iraf)"' $(DESTDIR)$(hlib)irafcl.sh
 	grep '"$(iraf)"' $(DESTDIR)$(hlib)setup.sh
 	grep '"$(iraf)"' $(DESTDIR)$(hlib)mkiraf.sh
 	sed -E -i.orig \
@@ -150,8 +145,9 @@
 # Create symbolic links for user callable scripts and executables
 binary_links:
 	mkdir -p $(DESTDIR)$(bindir)
-	ln -sf $(hlib)ecl.sh $(DESTDIR)$(bindir)/cl
-	ln -sf $(hlib)ecl.sh $(DESTDIR)$(bindir)/ecl
+	ln -sf $(hlib)irafcl.sh $(DESTDIR)$(bindir)/irafcl
+	ln -sf $(hlib)irafcl.sh $(DESTDIR)$(bindir)/cl
+	ln -sf $(hlib)irafcl.sh $(DESTDIR)$(bindir)/ecl
 	ln -sf $(hlib)mkiraf.sh $(DESTDIR)$(bindir)/mkiraf
 	for hprog in mkpkg rmbin rmfiles rtar sgidispatch wtar xc xyacc ; do \
 	    ln -sf $(hbin)$${hprog}.e $(DESTDIR)$(bindir)/$${hprog} ; \
@@ -174,19 +170,22 @@
 #            your source directory.
 strip: noao/bin/x_quad.e
 	cd $(DESTDIR)$(iraf) && $(hostid)/bin/rmfiles.e -f $(hostid)/hlib/strip.iraf
+	cd $(DESTDIR)$(iraf)/noao && ../$(hostid)/bin/rmfiles.e -f lib/strip.noao
 
 prefix ?= /usr/local
 
 install: noao/bin/x_quad.e
 	mkdir -p $(DESTDIR)$(prefix)/lib/iraf $(DESTDIR)$(prefix)/bin $(DESTDIR)$(prefix)/share/man/man1 $(DESTDIR)/etc/iraf
 	cp -a -f bin* dev extern include lib local math mkpkg noao pkg sys test unix \
-	         $(prefix)/lib/iraf
+	         $(DESTDIR)$(prefix)/lib/iraf
 	$(MAKE) config binary_links strip iraf=$(prefix)/lib/iraf/ bindir=$(prefix)/bin
 	cp -f $(hlib)mkiraf.man $(DESTDIR)$(prefix)/share/man/man1/mkiraf.1
-	cp -f $(hlib)ecl.man $(DESTDIR)$(prefix)/share/man/man1/ecl.1
-	ln -sf ecl.1 $(DESTDIR)$(prefix)/share/man/man1/cl.1
+	cp -f $(hlib)irafcl.man $(DESTDIR)$(prefix)/share/man/man1/irafcl.1
+	ln -sf irafcl.1 $(DESTDIR)$(prefix)/share/man/man1/ecl.1
+	ln -sf irafcl.1 $(DESTDIR)$(prefix)/share/man/man1/cl.1
 	cp -f $(host)boot/mkpkg/mkpkg.man $(DESTDIR)$(prefix)/share/man/man1/mkpkg.1
 	cp -f $(host)boot/spp/xc.man $(DESTDIR)$(prefix)/share/man/man1/xc.1
 	cp -f $(host)boot/xyacc/xyacc.man $(DESTDIR)$(prefix)/share/man/man1/xyacc.1
 	cp -f $(host)boot/generic/generic.man $(DESTDIR)$(prefix)/share/man/man1/generic.1
+	cp -f $(host)gdev/sgidev/sgidispatch.man $(DESTDIR)$(prefix)/share/man/man1/sgidispatch.1
 	echo $(prefix)/lib/iraf/ > $(DESTDIR)/etc/iraf/irafroot

=== unix/Makefile ===
--- 
+++ 
@@ -20,6 +20,7 @@
 export LIBS = $(HSI_LIBS)
 
 export bindir ?= $(hbin)
+export includedir ?= $(iraf)include
 
 %:
 	$(MAKE) -C os $@

=== unix/boot/Makefile ===
%:
	$(MAKE) -C bootlib $@
	$(MAKE) -C generic $@
	$(MAKE) -C mkpkg $@
	$(MAKE) -C rmbin $@
	$(MAKE) -C rmfiles $@
	$(MAKE) -C rtar $@
	$(MAKE) -C wtar $@
	$(MAKE) -C xyacc $@
	$(MAKE) -C spp $@

=== unix/f2c/Makefile ===
--- 
+++ 
@@ -1,6 +1,8 @@
 install: src/f2c libf2c/libf2c.a
+	mkdir -p $(includedir) $(bindir)
 	cp libf2c/libf2c.a $(bindir)
 	cp src/f2c $(bindir)f2c.e
+	cp libf2c/f2c.h $(includedir)
 
 clean:
 	$(MAKE) -C src -f makefile.u $@

=== unix/gdev/Makefile ===
install:
	$(MAKE) -C sgidev $@

clean:
	$(MAKE) -C sgidev $@

=== unix/boot/bootlib/Makefile ===
OBJS = oscmd.o osfdate.o osopen.o osstrpak.o oswrite.o envinit.o	\
  oscreatedir.o osfiletype.o osputenv.o osstrupk.o tape.o osaccess.o	\
  oscrfile.o osfn2vfn.o osread.o ossubdir.o vfn2osfn.o osdelete.o	\
  osfpathname.o ossetfmode.o ossymlink.o oschdir.o osdir.o osgetenv.o	\
  ossetowner.o ossysfile.o osclose.o osfcopy.o osgetowner.o		\
  ossettime.o ostime.o


libboot.a: $(OBJS)
	ar r $@ $?

install: libboot.a
	cp $? $(bindir)

clean:
	rm -f $(OBJS) libboot.a

.PHONY: install clean

=== unix/boot/generic/Makefile ===
OBJS := generic.o lexyy.o yywrap.o

generic.e: $(OBJS)
	$(CC) $(LDFLAGS) $? $(LIBS) -o $@

install: generic.e
	cp $? $(bindir)

lexyy.c: tok.l
	flex -o $@ $^

clean:
	rm -f $(OBJS) lexyy.c generic.e

.PHONY: install clean

=== unix/boot/mkpkg/Makefile ===
OBJS := main.o char.o fdcache.o fncache.o host.o pkg.o scanlib.o sflist.o tok.o

mkpkg.e: $(OBJS)
	$(CC) $(LDFLAGS) $? $(LIBS) -o $@

install: mkpkg.e
	cp $? $(bindir)

clean:
	rm -f $(OBJS) mkpkg.e

.PHONY: install clean

=== unix/boot/rmbin/Makefile ===
OBJS := rmbin.o

rmbin.e: $(OBJS)
	$(CC) $(LDFLAGS) $? $(LIBS) -o $@

install: rmbin.e
	cp $? $(bindir)

clean:
	rm -f $(OBJS) rmbin.e

.PHONY: install clean

=== unix/boot/rmfiles/Makefile ===
OBJS := rmfiles.o

rmfiles.e: $(OBJS)
	$(CC) $(LDFLAGS) $? $(LIBS) -o $@

install: rmfiles.e
	cp $? $(bindir)

clean:
	rm -f $(OBJS) rmfiles.e

.PHONY: install clean

=== unix/boot/rtar/Makefile ===
OBJS := rtar.o

rtar.e: $(OBJS)
	$(CC) $(LDFLAGS) $? $(LIBS) -o $@

install: rtar.e
	cp $? $(bindir)

clean:
	rm -f $(OBJS) rtar.e

.PHONY: install clean

=== unix/boot/spp/Makefile ===
OBJS := xc.o

xc.e: $(OBJS)
	$(CC) $(LDFLAGS) $? $(LIBS) -o $@

install: xc.e
	cp $? $(bindir)
	$(MAKE) -C xpp $@
	$(MAKE) -C rpp $@

clean:
	rm -f $(OBJS) xc.e
	$(MAKE) -C xpp $@
	$(MAKE) -C rpp $@

.PHONY: install clean

=== debian/changelog ===
iraf (2.18.1-2) unstable; urgency=medium

  * Revert dropping C-tweaks.patch: still needed on mips64el

 -- Ole Streicher <olebole@debian.org>  Thu, 10 Apr 2025 14:20:30 +0200

iraf (2.18.1-1) unstable; urgency=medium

  * New upstream version 2.18.1
  * Drop Fix-type-of-jumpcon-in-e-cl-main.c.patch: applied upstream
  * Drop C-tweaks.patch that is no longer needed
  * Update d/copyright, remove unused sections
  * Add AppData metainfo file

 -- Ole Streicher <olebole@debian.org>  Thu, 10 Apr 2025 12:35:57 +0200

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,14 @@
                libreadline-dev,
                ratfor,
                zlib1g-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-astro-team/iraf
 Vcs-Git: https://salsa.debian.org/debian-astro-team/iraf.git
 Homepage: https://iraf-community.github.io
 Rules-Requires-Root: no
 
 Package: iraf
-Architecture: any
+Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32 loong64
 Multi-Arch: foreign
 Depends: ${misc:Depends},
          ${shlibs:Depends}
@@ -41,7 +41,7 @@
  facility.
 
 Package: iraf-dev
-Architecture: any
+Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32 loong64
 Depends: gcc,
          iraf (= ${binary:Version}),
          libc6-dev,
@@ -61,7 +61,7 @@
  system and all applications are written.
 
 Package: iraf-noao
-Architecture: any
+Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32 loong64
 Multi-Arch: foreign
 Depends: iraf (= ${binary:Version}),
          ${misc:Depends},
@@ -77,7 +77,7 @@
  of Optical Astronomy data.
 
 Package: iraf-noao-dev
-Architecture: any
+Architecture: any-amd64 any-i386 alpha arm64 armel armhf mips64el mipsel ppc64el riscv64 x32 loong64
 Depends: iraf-dev (= ${binary:Version}),
          iraf-noao (= ${binary:Version}),
          ${misc:Depends}

=== debian/tests/control ===
Test-Command: iraf=/usr/lib/iraf/ ./test/run_tests test/*.md
Depends: @

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/;s/\.(post)/+$1/,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/iraf-$1\.tar\.gz/ \
  https://github.com/iraf-community/iraf/tags .*/v@ANY_VERSION@@ARCHIVE_EXT@
